package com.kiisoo.ic.system.enums;

import lombok.Getter;

/**
 * @author jinchaofan
 * @date 2020/2/19 14:21
 * @company kiisoo
 * @details 账号枚举
 */
@Getter
public enum AccountEnum {

    ACCOUNT_STATUS_NORMAL("正常", 1),
    ACCOUNT_STATUS_ABNORMAL("非正常", 2),
    ACCOUNT_TYPE_SYSTEM("系统账号", 1),
    ACCOUNT_MODIFY_STATUS_SUCCEED("账号修改成功", 0),
    ACCOUNT_MODIFY_STATUS_EXISTS("账号已存在", 1),
    ACCOUNT_TYPE_QYWX("企业微信账号类型", 2),
    ACCOUNT_FIRST_PWD("123456", 0);

    /**
     * 字段描述
     */
    private String describe;

    /**
     * 字段类型
     */
    private int type;

    AccountEnum(String describe, int type) {
        this.describe = describe;
        this.type = type;
    }
}
